[loggers]
keys=root

[handlers]
keys=console,file,socket,syslog

[formatters]
keys=brief,precise,syslog

##############
# loggers
##############
[logger_root]
level=NOTSET
handlers=console,file,syslog
level=INFO

##############
# handlers
##############
[handler_console]
class=logging.StreamHandler
formatter=precise
args=(sys.stdout,)

[handler_file]
class=logging.handlers.RotatingFileHandler
level=DEBUG
formatter=precise
args=(os.environ['TASKFORCE_LOG_FILE_NAME'],'a',1000000, 3)

[handler_socket]
class=logging.handlers.SocketHandler
formatter=precise
# host, port
args=('localhost',9020)

[handler_syslog]
class=logging.handlers.SysLogHandler
formatter=syslog
# address, facility, socktype
args=('/dev/log','local5')

##############
# formatters
##############
[formatter_brief]
format=[%(name)s][%(levelname)-8s] %(message)s

[formatter_precise]
class=taskforce_common.logcfg.PreciseFormatter

[formatter_syslog]
format=taskforce: [%(levelname)-8s] [%(name)-15s] %(message)s
